import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/Harshiiiiiiiip/b3c3c821ff1075920d897bf836c3ba91/raw/be043f24665444907d74ea01c1206edea4ca28e4/gistfile1.txt')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });